# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui
from dane import FakeData
import sys
import random

# -----

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)
 
# -----


class Ui_MainWindow(object):
    
    def setupUi(self, MainWindow):
        
        MainWindow.setObjectName(_fromUtf8("MainWindow"))
        MainWindow.resize(800, 600)
        
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        
        self.lineEdit_imie = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_imie.setGeometry(QtCore.QRect(310, 120, 211, 31))
        self.lineEdit_imie.setObjectName(_fromUtf8("lineEdit_imie"))
        
        self.lineEdit_nazwisko = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_nazwisko.setGeometry(QtCore.QRect(310, 170, 211, 31))
        self.lineEdit_nazwisko.setObjectName(_fromUtf8("lineEdit_nazwisko"))
        
        self.lineEdit_pesel = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_pesel.setGeometry(QtCore.QRect(310, 220, 211, 31))
        self.lineEdit_pesel.setObjectName(_fromUtf8("lineEdit_pesel"))
        
        self.lineEdit_dowod = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_dowod.setGeometry(QtCore.QRect(310, 270, 211, 31))
        self.lineEdit_dowod.setObjectName(_fromUtf8("lineEdit_dowod"))
        
        self.lineEdit_ulica = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_ulica.setGeometry(QtCore.QRect(310, 320, 211, 31))
        self.lineEdit_ulica.setObjectName(_fromUtf8("lineEdit_ulica"))
        
        self.lineEdit_miasto = QtGui.QLineEdit(self.centralwidget)
        self.lineEdit_miasto.setGeometry(QtCore.QRect(310, 370, 211, 31))
        self.lineEdit_miasto.setObjectName(_fromUtf8("lineEdit_miasto"))
      
        self.label_imie = QtGui.QLabel(self.centralwidget)
        self.label_imie.setGeometry(QtCore.QRect(180, 130, 61, 16))
        self.label_imie.setObjectName(_fromUtf8("label_imie"))
        
        self.label_nazwisko = QtGui.QLabel(self.centralwidget)
        self.label_nazwisko.setGeometry(QtCore.QRect(180, 180, 51, 16))
        self.label_nazwisko.setObjectName(_fromUtf8("label_nazwisko"))
        
        self.label_pesel = QtGui.QLabel(self.centralwidget)
        self.label_pesel.setGeometry(QtCore.QRect(180, 230, 46, 13))
        self.label_pesel.setObjectName(_fromUtf8("label_pesel"))
        
        self.label_dowod = QtGui.QLabel(self.centralwidget)
        self.label_dowod.setGeometry(QtCore.QRect(105, 280, 151, 20))
        self.label_dowod.setObjectName(_fromUtf8("label_dowod"))
        
        self.label_ulica = QtGui.QLabel(self.centralwidget)
        self.label_ulica.setGeometry(QtCore.QRect(180, 330, 46, 13))
        self.label_ulica.setObjectName(_fromUtf8("label_ulica"))
        
        self.label_miasto = QtGui.QLabel(self.centralwidget)
        self.label_miasto.setGeometry(QtCore.QRect(180, 380, 71, 16))
        self.label_miasto.setObjectName(_fromUtf8("label_miasto"))
        
        #~ self.label_inne_1 = QtGui.QLabel(self.centralwidget)
        #~ self.label_inne_1.setGeometry(QtCore.QRect(180, 430, 46, 13))
        #~ self.label_inne_1.setObjectName(_fromUtf8("label_inne_1"))
        #~ 
        #~ self.label_inne_2 = QtGui.QLabel(self.centralwidget)
        #~ self.label_inne_2.setGeometry(QtCore.QRect(180, 470, 46, 13))
        #~ self.label_inne_2.setObjectName(_fromUtf8("label_inne_2"))
        
        self.pushButton_generuj_nowe = QtGui.QPushButton(self.centralwidget)
        self.pushButton_generuj_nowe.setGeometry(QtCore.QRect(120, 510, 151, 41))
        self.pushButton_generuj_nowe.setObjectName(_fromUtf8("pushButton_generuj_nowe"))
        
        self.radioButton_kobieta = QtGui.QRadioButton(self.centralwidget)
        self.radioButton_kobieta.setGeometry(QtCore.QRect(320, 70, 82, 17))
        self.radioButton_kobieta.setObjectName(_fromUtf8("radioButton_kobieta"))
        
        self.radioButton_mezczyzna = QtGui.QRadioButton(self.centralwidget)
        self.radioButton_mezczyzna.setGeometry(QtCore.QRect(460, 70, 81, 17))
        self.radioButton_mezczyzna.setObjectName(_fromUtf8("radioButton_mezczyzna"))
        
        self.label_plec = QtGui.QLabel(self.centralwidget)
        self.label_plec.setGeometry(QtCore.QRect(180, 70, 46, 13))
        self.label_plec.setObjectName(_fromUtf8("label_plec"))
        
        MainWindow.setCentralWidget(self.centralwidget)
        
        self.menubar = QtGui.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 800, 21))
        self.menubar.setObjectName(_fromUtf8("menubar"))
        MainWindow.setMenuBar(self.menubar)
        
        self.statusbar = QtGui.QStatusBar(MainWindow)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

        # przypisanie funkcji do przycisku
        self.pushButton_generuj_nowe.clicked.connect(self.generuj_dane)


    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow", None))
        self.label_plec.setText(_translate("MainWindow", "Płeć:", None))
        self.radioButton_kobieta.setText(_translate("MainWindow", "Kobieta", None))
        self.radioButton_mezczyzna.setText(_translate("MainWindow", "Mężczyzna", None))
        self.label_imie.setText(_translate("MainWindow", "Imię:", None))
        self.label_nazwisko.setText(_translate("MainWindow", "Nazwisko:", None))
        self.label_pesel.setText(_translate("MainWindow", "PESEL:", None))
        self.label_dowod.setText(_translate("MainWindow", "Seria i nr. dowodu osobistego:", None))
        self.label_ulica.setText(_translate("MainWindow", "Ulica:", None))
        self.label_miasto.setText(_translate("MainWindow", "Miasto:", None))
        
        self.pushButton_generuj_nowe.setText(_translate("MainWindow", "Generuj nowe", None))


    # funckja przypieta powyzej do przycisku "Generuj nowe"
    def generuj_dane(self):

        kobieta = random.choice( (True, False) )

        if kobieta:
            imie  = random.choice(FakeData.first_names_female)
            nazwisko  = FakeData.last_name()
        else:
            imie  = random.choice(FakeData.first_names_male)
            nazwisko  = FakeData.last_name()
        
        ulica = FakeData.street_name()

        numer = random.randrange(1, 30)
        ulica += " " + str(numer)

        mieszkanie = random.choice( (True, False) )
        if mieszkanie:
            mieszkanie = random.randrange(1, 130)
            ulica += "/" + str(mieszkanie)
            
        miasto = random.choice(FakeData.cities)

        # ---
        
        pesel = FakeData.get_personal_id_number()
        dowod = FakeData.get_id_number()
        
        # ---
        
        self.radioButton_kobieta.setChecked(kobieta)
        self.radioButton_mezczyzna.setChecked(not kobieta)
        
        self.lineEdit_imie.setText(imie)
        self.lineEdit_nazwisko.setText(nazwisko)
        self.lineEdit_pesel.setText(pesel)
        self.lineEdit_dowod.setText(dowod)
        self.lineEdit_ulica.setText(ulica)
        self.lineEdit_miasto.setText(miasto)
        

if __name__ == "__main__":


    #print(random.choice(FakeData.first_names_female), FakeData.last_name())
    #print(random.choice(FakeData.cities), 'ul.', FakeData.street_name(), random.randrange(1, 30))
    #print(random.choice(FakeData.id_number), 'ul.', FakeData.get_personal_id_number(), random.randrange(1, 30))

    app = QtGui.QApplication(sys.argv)
    MainWindow = QtGui.QMainWindow()

    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)

    MainWindow.show()

    sys.exit(app.exec_())

